Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Kenichi Handa <[email-masked]>
Date: Thu, 29 Sep 2011 10:46:31 +0900

In article <[email-masked]>, Jambunathan K <[email-masked]> writes:

> > I think we have not yet settled this issue:
> >   "z" or "zh" for ழ

> My recommendation is that we don't make a one-off change. 

> I am largely OK with `z' and `J' offered by you primarily because I see
> that entry listed in the table linked below

> http://www.aczoom.com/itrans/html/tamil/node5.html [1]

> I see that ta-itrans mappings in Emacs is largely in agreement with the
> mappings in the above table save for few characters [2]. So my vote is
> for aligning Emacs's table with AC's ITRANS tables. I concur with
> Vijay's comment that the choices made in AC's table are less than
> perfect [3].

> My little research, suggests that that there are multiple contemporary
> and competing implementations for ta-itrans. Under these circumstances,
> it is important that the Emacs' implementation stick to just a single
> system. It would be wonderful if we could get in touch with the original
> author of ta-itrans and understand the source of Emacs's mappings.

> When time permits, I will spend some time looking at some authoritative
> websites and try to form an opinion [4].

Ok, I agree.  So, I'll close this bug.

>>> > That's strange.  My Tamil Lohit font is Version 2.4.4 (older
>>> > than yours), and it displays the line for #0BB6 correctly.
> >
>>> Do you see heart-shaped strcutures in that line much similar to what you
>>> see in ta-itrans-1.png that I attached earlier?
> >
> > No, I attach my image file.  I think that heart-shaped glyph
> > is actually U+25CC (DOTTED CIRCLE) used to display an
> > isolated combining character.  Which version of m17n-db are
> > you using?

> I am on Windows XP. So I believe the equivalent of m17n-db is
> uniscribe. 

> For the sake of record, the following messages suggest that #0BB6 is not
> properly rendered on Windows XP. It is apparently fixed on Windows
> Vista.

> http://unicode.org/mail-arch/unicode-ml/y2007-m07/0004.html
> http://unicode.org/mail-arch/unicode-ml/y2007-m07/0005.html

Thank you for the investigation.  So, this is not an Emacs bug.

> [3] Emacs being customizable, I hope it allows for users to tweak the
> stock ITRANS table to suit his taste. For example, it should be possible
> for one to create custom ITRANS table based on the table at the bottom
> of this page.

Ok, I'll put it in my todo list, but at the moment, the
priority is low.  And I think it requires considerable
time/work.

---
Kenichi Handa
[email-masked]